Name:           perl-Module-Install-TestBase
Version:        0.86
Release:    1%{?dist}
Summary:        Module::Install support for Test::Base
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-TestBase
Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/Module-Install-TestBase-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Module::Install::Base)
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Test::More)
Requires:   perl(Filter::Util::Call)
Requires:   perl(Spiffy)
Requires:   perl(Test::Base) >= 0.86
Requires:   perl(Test::Base::Filter)
Requires:   perl(Test::Builder)
Requires:   perl(Test::Builder::Module)
Requires:   perl(Test::More)
Conflicts:  perl-Test-Base < 0.85

%description
This Perl module adds the use_test_base directive to Module::Install. Now you
can get full Test-Base support for you module with no external dependency on
Test::Base.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%setup -q -n Module-Install-TestBase-%{version}
rm t/release-pod-syntax.t
perl -i -ne 'print $_ unless m{^t/release-pod-syntax.t}' MANIFEST

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
mkdir -p %{buildroot}%{_libexecdir}/%{name}/lib/Module/Install
touch %{buildroot}%{_libexecdir}/%{name}/lib/Module/Install/TestBase.pm
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.86-1
- initial build
